org.apache.ignite.internal.processors.igfs.secondary.local

## Class LocalFileSystemBlockKey

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.secondary.local.LocalFileSystemBlockKey

All Implemented Interfaces:
  Comparable<LocalFileSystemBlockKey>, IgfsBaseBlockKey

    public final class LocalFileSystemBlockKey
    extends Object
    implements IgfsBaseBlockKey, Comparable<LocalFileSystemBlockKey>

File's binary data block key.

### Constructor Summary

Constructors
Constructor and Description
`LocalFileSystemBlockKey(IgfsPath path, long blockId)` Constructs file's binary data block key.

### Method Summary

Methods
`IgniteUuid` `affinityKey()`
`long` `blockId()`
`int` `compareTo(LocalFileSystemBlockKey o)`
`boolean` `equals(Object o)`
`int` `fileHash()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LocalFileSystemBlockKey

    public LocalFileSystemBlockKey(IgfsPath path,
                           long blockId)

Constructs file's binary data block key.

Parameters:
  `path` - IGFS path.
  `blockId` - Block ID.

### Method Detail

#### blockId

    public long blockId()

Specified by:
  `blockId` in interface `IgfsBaseBlockKey`
Returns:
  Block ID.

#### fileHash

    public int fileHash()

Specified by:
  `fileHash` in interface `IgfsBaseBlockKey`
Returns:
  Hash based on a file identifier (path, ID, etc).

#### affinityKey

    public IgniteUuid affinityKey()

Specified by:
  `affinityKey` in interface `IgfsBaseBlockKey`
Returns:
  Block affinity key (if any).

#### compareTo

    public int compareTo(@NotNull
                LocalFileSystemBlockKey o)

Specified by:
  `compareTo` in interface `Comparable<LocalFileSystemBlockKey>`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017